Subject: Ramdisk image at boot time

From: "inpreet" <[email-masked]>
Date: Thu, 4 Aug 2005 12:01:40 +0530

Hello,

I got your id from forum site and I know you are the one who can guide me thru this problem. I hope that you won't mind doing that.
I am tring to unable bootsplash image at boot time on embedded device which runs on MIPS processor and use YAMON as bootloader. I am attaching a build script which detects initrd.tar.gz and embedded it to ramdisk. But now when I am booting kernel ramdisk is unable to detect initrd image. I am saving initrd.splash, which is bootup image in /boot directory and making its initrd.tar.gz. While booting I am giving kernel parameters
kernel : go be000000 root=/dev/ram0 rw init=/linuxrc console=tty1 video=au1100fb:panel:640x480_crt initrd=/boot/initrd.splash
I also save this initrd.tar.gz as ramdisk.gz at arch/mips/ramdisk/ directory.
What step I am missing to let kernel detect splash image at boot time?

Regards
Inpreet Singh